# Create a Video Link

Creates a video link using the provided parameters.

Endpoint: POST /v1/video_links
Version: 1.0.0
Security: apiKeyAuth, practiceGroupId

## Security:

  - `apiKeyAuth` (unknown)
    apiKey in header x-api-key

  - `practiceGroupId` (unknown)
    apiKey in header x-practice-group-id

## Request fields (application/json):

  - `link_name` (string)

  - `patient_id` (string)

  - `expiry_date` (string)
    ISO 8601 date format
    Example: 1989-04-11

## Response 200:

  - `200` (unknown)
    Ok

## Response 200 fields (application/json):

  - `video_link` (string, required)

  - `short_link_id` (string, required)

  - `main_room_url` (string, required)
    URL of the video call room that the creator can access

## Response 400:

  - `400` (unknown)
    Validation error

## Response 400 fields (application/json):

  - `error` (boolean, required)
    Example: true

  - `statusCode` (number, required)
    Example: 400

  - `message` (array, required)

  - `message.code` (string, required)
    Example: invalid_type

  - `message.expected` (string, required)
    Example: string

  - `message.path` (array, required)
    Example: ["patient_id"]

  - `message.message` (string, required)
    Example: Required

## Response 401:

  - `401` (unknown)
    Unauthorised

## Response 422:

  - `422` (unknown)
    Patient inexistent

## Response 429:

  - `429` (unknown)
    Too Many Requests

## Response 500:

  - `500` (unknown)
    Unknown error

